aid_orders_id_sessions_get
curl --request GET \
--url https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions")
.header("Authorization", "Bearer <token>")
.asString();{
"sessions": [
{
"items": [
{
"line_id": "<string>",
"amount": 27840
}
],
"id": "bd04c959-d159-49b4-a096-2d84e014a8da",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "bd04c959-d159-49b4-a096-2d84e014a8da",
"amount": 27840,
"processed_at": "2023-11-07T05:31:56Z",
"metadata": {},
"_links": [
{
"href": "<string>",
"rel": "draft"
}
]
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Collections
Get Session Collection
Retrieve list of sessions for an order
scopes:
- admin:shopping
- read:shopping
GET
/
accounts
/
{aid}
/
shopping
/
orders
/
{order_id}
/
sessions
aid_orders_id_sessions_get
curl --request GET \
--url https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions")
.header("Authorization", "Bearer <token>")
.asString();{
"sessions": [
{
"items": [
{
"line_id": "<string>",
"amount": 27840
}
],
"id": "bd04c959-d159-49b4-a096-2d84e014a8da",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "bd04c959-d159-49b4-a096-2d84e014a8da",
"amount": 27840,
"processed_at": "2023-11-07T05:31:56Z",
"metadata": {},
"_links": [
{
"href": "<string>",
"rel": "draft"
}
]
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
Required string length:
9The resource identifier string
Response
session collection
Show child attributes
Show child attributes
Last modified on July 7, 2026
⌘I